Is THIS is true then At&T is already one ipsw version too late.